### Constructor

# GimpUi MemsizeEntry new

#### Declaration [src]

    GtkWidget*
    gimp_memsize_entry_new (
      guint64 value,
      guint64 lower,
      guint64 upper
    )

#### Description [src]

Creates a new `GimpMemsizeEntry` which is a `GtkHBox` with a `GtkSpinButton` and a `GtkOptionMenu` all setup to allow the user to enter memory sizes.

#### Parameters

`value`

  Type: `guint64`

  The initial value (in Bytes).

`lower`

  Type: `guint64`

  The lower limit for the value (in Bytes).

`upper`

  Type: `guint64`

  The upper limit for the value (in Bytes).

#### Return value

Type: `GtkWidget`

Pointer to the new `GimpMemsizeEntry`.

The data is owned by the called function.